> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a notification channel

> Get a notification channel.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/notifications.yml get /notification_channels/{id}
openapi: 3.1.0
info:
  title: Telnyx Notifications API
  version: 2.0.0
  description: API for Notifications.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /notification_channels/{id}:
    get:
      tags:
        - Notifications
      summary: Get a notification channel
      description: Get a notification channel.
      operationId: GetNotificationChannel
      parameters:
        - $ref: '#/components/parameters/notifications_Id'
      responses:
        '200':
          description: A Notification Channel response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/NotificationChannel'
        '400':
          $ref: '#/components/responses/notifications_BadRequestResponse'
        '404':
          $ref: '#/components/responses/notifications_NotFoundResponse'
        '422':
          $ref: '#/components/responses/notifications_UnprocessableEntity'
        '500':
          $ref: '#/components/responses/notifications_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const notificationChannel = await
            client.notificationChannels.retrieve(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );


            console.log(notificationChannel.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            notification_channel = client.notification_channels.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(notification_channel.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tnotificationChannel, err := client.NotificationChannels.Get(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", notificationChannel.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.notificationchannels.NotificationChannelRetrieveParams;

            import
            com.telnyx.sdk.models.notificationchannels.NotificationChannelRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    NotificationChannelRetrieveResponse notificationChannel = client.notificationChannels().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            notification_channel =
            telnyx.notification_channels.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(notification_channel)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $notificationChannel = $client->notificationChannels->retrieve(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
              );

              var_dump($notificationChannel);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx notification-channels retrieve \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  parameters:
    notifications_Id:
      name: id
      in: path
      description: The id of the resource.
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    NotificationChannel:
      description: A Notification Channel
      properties:
        id:
          type: string
          description: A UUID.
          readOnly: true
          example: 12455643-3cf1-4683-ad23-1cd32f7d5e0a
        notification_profile_id:
          type: string
          description: A UUID reference to the associated Notification Profile.
          example: 12455643-3cf1-4683-ad23-1cd32f7d5e0a
        channel_type_id:
          type: string
          description: A Channel Type ID
          enum:
            - sms
            - voice
            - email
            - webhook
        channel_destination:
          type: string
          description: The destination associated with the channel type.
          example: '+13125550000'
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2019-10-15T10:07:15.527Z'
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2019-10-15T10:07:15.527Z'
          readOnly: true
      type: object
    notifications_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/notifications_Error'
      type: object
    notifications_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: int64
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    notifications_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/notifications_Errors'
    notifications_NotFoundResponse:
      description: The requested resource doesn't exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/notifications_Errors'
    notifications_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/notifications_Errors'
    notifications_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/notifications_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````